FormRenderer (Struts Faces 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.renderer
Class FormRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.struts.faces.renderer.AbstractRenderer
              org.apache.struts.faces.renderer.FormRenderer

    public class FormRenderer

extends AbstractRenderer

`Renderer` implementation for the `form` tag from the Struts-Faces Integration Library.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Constructor Summary
`FormRenderer()`

Method Summary
`protected String` | `action(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Calculate and return the value to be specifed for the `action attribute on the `<form>` element to be rendered.`
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Perform setup processing that will be required for decoding the incoming request.
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Render the beginning of an HTML `<form>` control.
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Render the ending of an HTML `<form>` control.
`protected boolean` | `isXhtml(javax.faces.component.UIComponent component)` Return `true` if we should render as XHTML.

Methods inherited from class org.apache.struts.faces.renderer.AbstractRenderer
`encodeChildren, encodeRecursive, getAsString, isDisabled, isReadOnly, renderAttributes, renderBoolean, renderEnd, renderPassThrough, renderStart, setSubmittedValue`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormRenderer

    public FormRenderer()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Perform setup processing that will be required for decoding the incoming request.

  Overrides:
    `decode` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be processed
  Throws:
    `NullPointerException` - if `context` or `component` is null

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Render the beginning of an HTML `<form>` control.

  Overrides:
    `encodeBegin` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be rendered
  Throws:
    `IOException` - if an input/output error occurs while rendering
    `NullPointerException` - if `context` or `component` is null

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Render the ending of an HTML `<form>` control.

  Overrides:
    `encodeEnd` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be rendered
  Throws:
    `IOException` - if an input/output error occurs while rendering
    `NullPointerException` - if `context` or `component` is null

### action

    protected String action(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Calculate and return the value to be specifed for the `action attribute on the `<form>` element to be rendered.`

  Parameters:
    `context` - FacesContext for the current request
    `component` - Component being processed

### isXhtml

    protected boolean isXhtml(javax.faces.component.UIComponent component)

  Return `true` if we should render as XHTML.

  Parameters:
    `component` - The component we are rendering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.